# Type Alias CullOnCameraMovePredicate

CullOnCameraMovePredicate: (
mesh: BimProductMeshPreMerge,
context?: CullOnCameraMoveContext,
) => boolean

Predicate that determines whether a mesh should be culled (hidden) when the camera moves.

#### Type declaration

- - (mesh: BimProductMeshPreMerge, context?: CullOnCameraMoveContext): boolean

  - #### Parameters

    - mesh: BimProductMeshPreMerge

      The product mesh to evaluate.

    - `Optional` context: CullOnCameraMoveContext

      Optional contextual information from the merge algorithm.

    #### Returns boolean

    `true` if the mesh should be culled on camera move, `false` otherwise.

#### See

- BimProductMeshPreMerge
- CullOnCameraMoveContext